Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.pki
Class ExtendedCertificate

    java.lang.Object
      java.security.cert.Certificate
          cryptix.pki.ExtendedCertificate

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PGPCertificate

public abstract class ExtendedCertificate
extends java.security.cert.Certificate

Extensions for java.security.cert.Certificate, which are common to all certificates.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.security.cert.Certificate
`java.security.cert.Certificate.CertificateRep`

Constructor Summary
`protected` | `ExtendedCertificate(java.lang.String type)` Create a new Certificate object with the given type.

Method Summary
`abstract void` | `checkValidity()` Checks if this certificate is currently valid.
`abstract void` | `checkValidity(java.util.Date date)` Checks if this certificate is valid on a given date.
`abstract java.security.Principal` | `getSubject()` Returns the userID for which this certificate was issued.
`abstract boolean` | `isSelfSigned()` Returns whether the certificate is self signed
`abstract void` | `verify(KeyBundle bundle)` Verifies that this certificate was signed using the specified keybundle.

Methods inherited from class java.security.cert.Certificate
`equals, getEncoded, getPublicKey, getType, hashCode, toString, verify, verify, writeReplace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtendedCertificate

    protected ExtendedCertificate(java.lang.String type)

  Create a new Certificate object with the given type.

Method Detail

### getSubject

    public abstract java.security.Principal getSubject()

  Returns the userID for which this certificate was issued.

### checkValidity

    public abstract void checkValidity()
                                throws java.security.cert.CertificateExpiredException,
                                       java.security.cert.CertificateNotYetValidException,
                                       java.security.cert.CertificateParsingException

  Checks if this certificate is currently valid.

  A certificate is valid if date is on or after the creation date and before the expiration date (when available).

  Throws:
    `java.security.cert.CertificateExpiredException`
    `java.security.cert.CertificateNotYetValidException`
    `java.security.cert.CertificateParsingException`

### checkValidity

    public abstract void checkValidity(java.util.Date date)
                                throws java.security.cert.CertificateExpiredException,
                                       java.security.cert.CertificateNotYetValidException,
                                       java.security.cert.CertificateParsingException

  Checks if this certificate is valid on a given date.

  A certificate is valid if date is on or after the creation date and before the expiration date (when available).

  Throws:
    `java.security.cert.CertificateExpiredException`
    `java.security.cert.CertificateNotYetValidException`
    `java.security.cert.CertificateParsingException`

### isSelfSigned

    public abstract boolean isSelfSigned()
                                  throws java.security.cert.CertificateException

  Returns whether the certificate is self signed

  Throws:
    `java.security.cert.CertificateException`

### verify

    public abstract void verify(KeyBundle bundle)
                         throws java.security.cert.CertificateException,
                                java.security.NoSuchAlgorithmException,
                                java.security.InvalidKeyException,
                                java.security.NoSuchProviderException,
                                java.security.SignatureException

  Verifies that this certificate was signed using the specified keybundle.

  Throws:
    `java.security.cert.CertificateException`
    `java.security.NoSuchAlgorithmException`
    `java.security.InvalidKeyException`
    `java.security.NoSuchProviderException`
    `java.security.SignatureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.